#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1
%define framework kdelibs4support

Summary:        KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
Name:           %framework
Version: 5.114.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/portingAids/%{framework}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Designer)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(libnm)

BuildRequires:  cmake(KF5Archive) >= %version
BuildRequires:  cmake(KF5Completion) >= %version
BuildRequires:  cmake(KF5Config) >= %version
BuildRequires:  cmake(KF5ConfigWidgets) >= %version
BuildRequires:  cmake(KF5Crash) >= %version
BuildRequires:  cmake(KF5DesignerPlugin) >= %version
BuildRequires:  cmake(KF5GlobalAccel) >= %version
BuildRequires:  cmake(KF5DocTools) >= %version
BuildRequires:  cmake(KF5GuiAddons) >= %version
BuildRequires:  cmake(KF5I18n) >= %version
BuildRequires:  cmake(KF5IconThemes) >= %version
BuildRequires:  cmake(KF5KIO) >= %version
BuildRequires:  cmake(KF5Notifications) >= %version
BuildRequires:  cmake(KF5Parts) >= %version
BuildRequires:  cmake(KF5Service) >= %version
BuildRequires:  cmake(KF5TextWidgets) >= %version
BuildRequires:  cmake(KF5UnitConversion) >= %version
BuildRequires:  cmake(KF5WidgetsAddons) >= %version
BuildRequires:  cmake(KF5WindowSystem) >= %version
BuildRequires:  cmake(KDED) >= %version

BuildRequires:  cmake(KF5Emoticons)

BuildRequires:  pkgconfig(openssl)

BuildRequires:  perl(URI)

Conflicts:      kdebase4-runtime-handbook < 1:15.07.90

%description
KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4.

%files -f %name.lang
%_kf5_sysconfdir/xdg/colors/*
%_kf5_sysconfdir/xdg/kdebug.areas
%exclude %_kf5_sysconfdir/xdg/kdebugrc
%_kf5_sysconfdir/xdg/ksslcalist
%_kf5_bindir/kdebugdialog5
%_kf5_bindir/kf5-config
%_kf5_datadir/kf5/locale/*
%_kf5_datadir/locale/kf5_all_languages
%_kf5_datadir/kf5/widgets/*
%_kf5_services/qimageioplugins/*.desktop
%_kf5_services/kcm_ssl.desktop
%_qt5_plugindir/designer/kf5deprecatedwidgets.so
%_qt5_plugindir/kcm_ssl.so
%_kf5_plugindir/kded/networkstatus.so
%_kf5_plugindir/kio/metainfo.so
%_kf5_libexecdir/fileshareset
%_kf5_libexecdir/filesharelist
%_kf5_datadir/kf5/kdoctools/customization
%_kf5_datadir/kf5/kssl/ca-bundle.crt
%_kf5_servicetypes/*.desktop
%_kf5_mandir/man1/kf5-config.1.*
%_kf5_mandir/*/man1/kf5-config.1.*

#--------------------------------------------------------------------

%define kf5kdelibs4support_major 5
%define libkf5kdelibs4support %mklibname kf5kdelibs4support %{kf5kdelibs4support_major}

%package -n %libkf5kdelibs4support
Summary:        KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
Group:          System/Libraries

%description -n %libkf5kdelibs4support
KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4.

%files -n %libkf5kdelibs4support
%_kf5_libdir/libKF5KDELibs4Support.so.%{kf5kdelibs4support_major}{,.*}

#--------------------------------------------------------------------

%define kf5kdelibs4support_devel %mklibname kf5kdelibs4support -d

%package -n %kf5kdelibs4support_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf5kdelibs4support = %version-%release
Provides:       %framework-devel = %{version}-%{release}

Requires:       kauth-devel = %version
Requires:       kconfigwidgets-devel = %version
Requires:       kcoreaddons-devel = %version
Requires:       kcrash-devel = %version
Requires:       kdesignerplugin-devel = %version
Requires:       kdoctools-devel = %version
Requires:       kemoticons-devel = %version
Requires:       kguiaddons-devel = %version
Requires:       kiconthemes-devel = %version
Requires:       kitemmodels-devel = %version
Requires:       kinit-devel = %version
Requires:       knotifications-devel = %version
Requires:       kparts-devel = %version
Requires:       ktextwidgets-devel = %version
Requires:       kunitconversion-devel = %version
Requires:       kwindowsystem-devel = %version

Requires:       pkgconfig(Qt5DBus)
Requires:       pkgconfig(Qt5Xml)
Requires:       pkgconfig(Qt5PrintSupport)

%description -n %kf5kdelibs4support_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5kdelibs4support_devel
%_kf5_libdir/libKF5KDELibs4Support.so
%_kf5_includedir/KDELibs4Support
%_kf5_libdir/cmake/KF5KDELibs4Support/
%_kf5_libdir/cmake/KF5KDE4Support/
%_kf5_libdir/cmake/KDELibs4/
%_kf5_datadir/dbus-1/interfaces/*.xml

#--------------------------------------------------------------------

%package handbook
Summary:        %{name} Handbook
Group:          Documentation
BuildArch:      noarch

%description handbook
This package provides %{name} Handbook.

%files handbook
%doc %_kf5_docdir/HTML/*/kdebugdialog5
%doc %_kf5_docdir/HTML/*/kcontrol5/kcm_ssl

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install
%find_lang %name



%changelog
* Thu Feb 08 2024 neoclust <neoclust> 5.114.0-1.mga9
+ Revision: 2039535
- New version 5.114.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952031
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947840
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941346
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1934996
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922241
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911611
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900215
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887650
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880597
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871754
- New version 5.96.0

* Tue Apr 26 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853787
- New version 5.93.0

* Sun Apr 10 2022 neoclust <neoclust> 5.92.0-2.mga9
+ Revision: 1848674
- New version 5.92.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754825
- New version 5.88.0

* Thu Oct 07 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749834
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735258
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723449
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714845
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702023
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691115
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653328
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633182
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625603
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612312
- New version 5.73.0

* Thu Jul 09 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603381
- New version 5.72.0

* Wed Jun 17 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1593939
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582006
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566497
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556673
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546925
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486811
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466221
- New version 5.65.0

* Thu Nov 14 2019 daviddavid <daviddavid> 5.64.0-2.mga8
+ Revision: 1459995
- rebuild for arm

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457606
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450988
- New version 5.63.0

* Tue Sep 24 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1445270
- New version 5.62.0

* Wed Aug 21 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1430763
- adjust BR for new NM

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420030
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386928
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382233
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374992
- New version 5.56.0
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364530
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356759
- New version 5.54.0
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339209
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318956
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298488
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1248905
- New version 5.49.0

* Tue May 22 2018 daviddavid <daviddavid> 5.46.0-2.mga7
+ Revision: 1231436
- enable NetworkManager support
- compile against OpenSSL >= 1.1

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229244
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192276
- New version 5.42.0

* Thu Dec 28 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1186197
- New version 5.41.0

* Mon Oct 02 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1162743
- New version 5.38.0

* Tue Aug 22 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1143315
- New version 5.37.0

* Fri Jul 21 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1126402
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089546
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088958
- New version 5.32.0

* Sun Jan 15 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1081944
- Do not package kdebugrc

* Wed Dec 14 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1075011
- New version 5.29.0

* Tue Dec 06 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072720
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058349
- New version 5.27.0

* Sun Sep 11 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1051400
- New version 5.26.0

* Fri Aug 26 2016 neoclust <neoclust> 5.25.0-2.mga6
+ Revision: 1049075
- Rebuild to make available on armv5

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045104
- New version 5.25.0

* Wed Jul 13 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041710
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1036250
- add missing tarball
+ neoclust <neoclust>
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014334
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999599
- New version 5.21.0
- New version 5.20.0
- New version 5.5.95

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986868
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942243
- New version 5.19.0

* Tue Jan 12 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 922103
- New version 5.18.0
- New version 5.18.0

* Tue Dec 15 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 910717
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900628
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899513
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898961
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888201
- New version 5.15.0

* Sun Sep 20 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881838
- New version 5.14.0

* Mon Aug 17 2015 neoclust <neoclust> 5.13.0-2.mga6
+ Revision: 865366
- Add conflict against kde4 runtime

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862986
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862750
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 15 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 854408
- New version 5.12..0
- New version 5.12.0

* Wed Jul 01 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849275
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 804030
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 749540
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 680997
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 661594
- New version 5.1.0
- New version 5.1.0

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-6.mga5
+ Revision: 657595
- Fix compatibility with new cmake regarding gettext

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-5.mga5
+ Revision: 655235
- Rebuild against new kf5 macros

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-4.mga5
+ Revision: 653354
- Fix again requires

* Thu Jul 17 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 653350
- Fix Requires

* Wed Jul 16 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 653340
- Adapt requires in the devel package based on cmake files

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653158
- imported package kdelibs4support

